import React from 'react';
import { Rnd } from 'react-rnd';
import '../style/AreaHighlight.css';
export function AreaHighlight({ highlight, isScrolledTo, onClick }) {
    return (React.createElement("div", { className: `AreaHighlight ${isScrolledTo ? 'AreaHighlight--scrolledTo' : ''}` },
        React.createElement(Rnd, { disableDragging: true, enableResizing: false, className: "AreaHighlight__part", position: {
                x: highlight.position.boundingRect.left,
                y: highlight.position.boundingRect.top
            }, size: {
                width: highlight.position.boundingRect.width,
                height: highlight.position.boundingRect.height
            }, style: {
                cursor: 'pointer'
            }, onClick: onClick })));
}
export default AreaHighlight;
//# sourceMappingURL=AreaHighlight.js.map