import React, { useState } from 'react';
import MouseMonitor from './MouseMonitor';
export function Popup(props) {
    const [mouseIn, setMouseIn] = useState(false);
    const { popupContent, onMouseOut } = props;
    return (React.createElement("div", { onClick: () => {
            setMouseIn(true);
            props.onMouseClick(React.createElement(MouseMonitor, { onMoveAway: () => {
                    if (mouseIn) {
                        return;
                    }
                    onMouseOut();
                }, paddingX: 60, paddingY: 30, children: popupContent }));
        }, onMouseOut: () => {
            setMouseIn(false);
        } }, props.children));
}
//# sourceMappingURL=Popup.js.map